#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xBB,0xED,0x4A,0x49,0xC2,0xDA,0xA8,0xFB,0x99,0xC1,0x8A,0x40,
		0x11,0x18,0xAA,0x15,0x60,0xCE,0x3A,0x03,0x11,0x9B,0x5C,0x23,
		0x79,0x17,0xA5,0xFE,0xFA,0x48,0x95,0x3B,0xF3,0xD0,0x70,0x94,
		0x1C,0x1A,0xB1,0x4C,0x99,0x01,0xF3,0x2C,0xD1,0x44,0x38,0x99,
		0x28,0x20,0x06,0x7C,0x2E,0x72,0x82,0x7C,0x09,0xC1,0x96,0x46,
		0x39,0x55,0x7C,0xD3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
